org.appng.openapi.model

## Class Options

- java.lang.Object
- - org.appng.openapi.model.Options

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class Options
      extends Object

  A set of selectable options

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_ENTRIES`
    `static String` | `JSON_PROPERTY_MULTIPLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Options()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Options` | `addEntriesItem(Option entriesItem)`
    `Options` | `entries(List<Option> entries)`
    `boolean` | `equals(Object o)`
    `List<Option>` | `getEntries()` A list of options for this filter.
    `Boolean` | `getMultiple()` Whether or not this filter allows multiple options to be selected.
    `int` | `hashCode()`
    `Options` | `multiple(Boolean multiple)`
    `void` | `setEntries(List<Option> entries)`
    `void` | `setMultiple(Boolean multiple)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_MULTIPLE

          public static final String JSON_PROPERTY_MULTIPLE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ENTRIES

          public static final String JSON_PROPERTY_ENTRIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Options

          public Options()

  - ### Method Detail

    - #### multiple

          public Options multiple(Boolean multiple)

    - #### getMultiple

          @Nullable
          public Boolean getMultiple()

      Whether or not this filter allows multiple options to be selected.
      Returns:
        multiple

    - #### setMultiple

          public void setMultiple(Boolean multiple)

    - #### entries

          public Options entries(List<Option> entries)

    - #### addEntriesItem

          public Options addEntriesItem(Option entriesItem)

    - #### getEntries

          @Nullable
          public List<Option> getEntries()

      A list of options for this filter.
      Returns:
        entries

    - #### setEntries

          public void setEntries(List<Option> entries)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.